As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 728101 - Global search box shrinks when selected
: Global search box shrinks when selected
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
: 531131 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 18:12 PST by Andreas Nilsson (:andreasn)
Modified: 2017-01-02 08:28 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Give a fixed width (785 bytes, patch)
2012-02-17 15:27 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Give a fixed width (803 bytes, patch)
2012-02-22 10:16 PST, Richard Marti (:Paenglab)
bugs: review+
Details | Diff | Splinter Review

Description User image Andreas Nilsson (:andreasn) 2012-02-16 18:12:20 PST
Noticed that the search box in trunk shrinks a couple of pixels when selected.
Comment 1 User image Richard Marti (:Paenglab) 2012-02-17 00:26:30 PST
This is because in unselected state the text is italic (and wider) and when selected normal.
This can be solved by giving a fixed width to the search box, removing the italic (like in Bug 636014) or exchange the flexible spacer with fixed spacer. I'm on XP now and can't test if the last really would solve the problem.
Comment 2 User image Richard Marti (:Paenglab) 2012-02-17 15:27:20 PST
Created attachment 598397 [details] [diff] [review]
Give a fixed width

With defining the width the box no more jumps when selected. I gave a width of 25em. If needed this width can be adjusted.

When more elements are on the toolbar then the search box adapts the width as before.

The patch also gives a width to the search box on Address book which has the same problem.
Comment 3 User image Richard Marti (:Paenglab) 2012-02-22 10:16:39 PST
Created attachment 599679 [details] [diff] [review]
Give a fixed width

Patch updated after landing of Bug 719008. Now also the search field in Gloda tab shrinks.
Comment 4 User image Andreas Nilsson (:andreasn) 2012-03-01 06:46:57 PST
Comment on attachment 599679 [details] [diff] [review]
Give a fixed width

Looks good, functions as expected!
Comment 5 User image Ryan VanderMeulen [:RyanVM] 2012-03-01 14:17:06 PST
http://hg.mozilla.org/comm-central/rev/6c1d59144158

Also, please follow the directions below when submitting any future patches to make life easier for the people checking in on your behalf. Thanks!
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
Comment 6 User image Richard Marti (:Paenglab) 2017-01-02 08:28:27 PST
*** Bug 531131 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.